Index: Singular/Makefile.am
===================================================================
--- Singular/Makefile.am	(revision 80c102e75622524947cd27fb319c231bc62c9233)
+++ Singular/Makefile.am	(revision 6d672b429af6b88ca00278d9a9794e55d4ed1c3a)
@@ -18,16 +18,16 @@
 ########################### libSingular* #########################
 
-libSingular_LIBRARIES = libSingular.a libSingular_g.a
+libSingular_LTLIBRARIES = libSingular.la libSingular_g.la
 libSingulardir = $(libdir)/singular
 
-libSingular_a_CFLAGS   = -O3 -fomit-frame-pointer -Wextra -Wall -Wno-long-long ${PIPE}
-libSingular_g_a_CFLAGS = -g -Wextra -Wall -Wno-long-long -pedantic ${PIPE}
-
-libSingular_a_CXXFLAGS   = -O3 -fomit-frame-pointer --no-rtti -Wextra -Wall -Wno-long-long ${PIPE} $(CXXTEMPLFLAGS)
-libSingular_g_a_CXXFLAGS = -g -Wextra -Wall -Wno-long-long -pedantic ${PIPE} $(CXXTEMPLFLAGS)
+libSingular_la_CFLAGS   = -O3 -fomit-frame-pointer -Wextra -Wall -Wno-long-long ${PIPE}
+libSingular_g_la_CFLAGS = -g -Wextra -Wall -Wno-long-long -pedantic ${PIPE}
+
+libSingular_la_CXXFLAGS   = -O3 -fomit-frame-pointer --no-rtti -Wextra -Wall -Wno-long-long ${PIPE} $(CXXTEMPLFLAGS)
+libSingular_g_la_CXXFLAGS = -g -Wextra -Wall -Wno-long-long -pedantic ${PIPE} $(CXXTEMPLFLAGS)
 # -fdiagnostics-show-option 
 
-libSingular_a_CPPFLAGS   = -DNDEBUG -DOM_NDEBUG -DLIBSINGULAR
-libSingular_g_a_CPPFLAGS = -DLIBSINGULAR
+libSingular_la_CPPFLAGS   = -DNDEBUG -DOM_NDEBUG -DLIBSINGULAR
+libSingular_g_la_CPPFLAGS = -DLIBSINGULAR
 
 SOURCES =    Minor.cc\
@@ -94,6 +94,6 @@
 #   slInit_Dynamic.cc
 
-libSingular_a_SOURCES   = $(SOURCES)
-libSingular_g_a_SOURCES = $(SOURCES)
+libSingular_la_SOURCES   = $(SOURCES)
+libSingular_g_la_SOURCES = $(SOURCES)
 
 SingularHEADERS =    Cache.h \
Index: factory/Makefile.am
===================================================================
--- factory/Makefile.am	(revision 80c102e75622524947cd27fb319c231bc62c9233)
+++ factory/Makefile.am	(revision 6d672b429af6b88ca00278d9a9794e55d4ed1c3a)
@@ -5,11 +5,11 @@
 INCLUDES = -I${top_srcdir} -I${top_srcdir}/.. -I${top_builddir} -I${top_builddir}/.. -I${srcdir} ${GMP_CFLAGS} ${NTL_CFLAGS}
 
-lib_LIBRARIES = libfactory.a libfactory_g.a
-
-libfactory_a_libdir = $(libdir)
-libfactory_g_a_libdir = $(libdir)
-
-libfactory_a_CXXFLAGS   = -O3 -fomit-frame-pointer --no-rtti ${CXXTEMPLFLAGS}
-libfactory_g_a_CXXFLAGS = -g -Wextra -Wall -pedantic -Wno-long-long ${CXXTEMPLFLAGS}
+lib_LTLIBRARIES = libfactory.la libfactory_g.la
+
+libfactory_la_libdir = $(libdir)
+libfactory_g_la_libdir = $(libdir)
+
+libfactory_la_CXXFLAGS   = -O3 -fomit-frame-pointer --no-rtti ${CXXTEMPLFLAGS}
+libfactory_g_la_CXXFLAGS = -g -Wextra -Wall -pedantic -Wno-long-long ${CXXTEMPLFLAGS}
 
 # factory source files
@@ -95,6 +95,6 @@
 endif
 
-libfactory_a_SOURCES = $(SOURCES)
-libfactory_g_a_SOURCES = $(SOURCES)
+libfactory_la_SOURCES = $(SOURCES)
+libfactory_g_la_SOURCES = $(SOURCES)
 
 # factory header files
@@ -216,5 +216,5 @@
 # Support for building GF(q)-tables
 #
-# gengftables needs libfactory.a and factory.h AND is needed for
+# gengftables needs libfactory.la and factory.h AND is needed for
 # generating gftable but the tables are not necessarily needed to
 # compile and use libfactory (though it will be a lot slower).
Index: kernel/Makefile.am
===================================================================
--- kernel/Makefile.am	(revision 80c102e75622524947cd27fb319c231bc62c9233)
+++ kernel/Makefile.am	(revision 6d672b429af6b88ca00278d9a9794e55d4ed1c3a)
@@ -12,17 +12,17 @@
 CXXTEMPLFLAGS = --no-exceptions ## -fno-implicit-templates
 
-libkernel_LIBRARIES = libkernel.a libkernel_g.a
+libkernel_LTLIBRARIES = libkernel.la libkernel_g.la
 libkerneldir = $(libdir)/singular
 
-libkernel_a_CFLAGS   = -O3 -fomit-frame-pointer -Wextra -Wall -Wno-long-long ${PIPE}
-libkernel_g_a_CFLAGS = -g -Wextra -Wall -Wno-long-long -pedantic ${PIPE}
+libkernel_la_CFLAGS   = -O3 -fomit-frame-pointer -Wextra -Wall -Wno-long-long ${PIPE}
+libkernel_g_la_CFLAGS = -g -Wextra -Wall -Wno-long-long -pedantic ${PIPE}
 ## -pedantic
 
-libkernel_a_CXXFLAGS   = -O3 -fomit-frame-pointer --no-rtti -Wextra -Wall -Wno-long-long ${PIPE} $(CXXTEMPLFLAGS)
-libkernel_g_a_CXXFLAGS = -g -Wextra -Wall -Wno-long-long -pedantic ${PIPE} $(CXXTEMPLFLAGS)
+libkernel_la_CXXFLAGS   = -O3 -fomit-frame-pointer --no-rtti -Wextra -Wall -Wno-long-long ${PIPE} $(CXXTEMPLFLAGS)
+libkernel_g_la_CXXFLAGS = -g -Wextra -Wall -Wno-long-long -pedantic ${PIPE} $(CXXTEMPLFLAGS)
 # -fdiagnostics-show-option 
 
-libkernel_a_CPPFLAGS   = -DNDEBUG -DOM_NDEBUG
-#libkernel_g_a_CPPFLAGS =
+libkernel_la_CPPFLAGS   = -DNDEBUG -DOM_NDEBUG
+#libkernel_g_la_CPPFLAGS =
 
 INCLUDES = -I${top_srcdir} -I${top_builddir} -I${top_srcdir}/libpolys -I${top_builddir}/libpolys $(GMP_CFLAGS) $(FACTORY_CFLAGS) $(NTL_CFLAGS)
@@ -49,6 +49,6 @@
     fegetopt.c mod2.h 
 
-libkernel_a_SOURCES   = $(SOURCES)
-libkernel_g_a_SOURCES = $(SOURCES)
+libkernel_la_SOURCES   = $(SOURCES)
+libkernel_g_la_SOURCES = $(SOURCES)
 
 KERNELHEADERS = polys.h hutil.h stairc.h ideals.h \
Index: libpolys/coeffs/Makefile.am
===================================================================
--- libpolys/coeffs/Makefile.am	(revision 80c102e75622524947cd27fb319c231bc62c9233)
+++ libpolys/coeffs/Makefile.am	(revision 6d672b429af6b88ca00278d9a9794e55d4ed1c3a)
@@ -1,3 +1,3 @@
-libcoeffs_LIBRARIES = libcoeffs.a libcoeffs_g.a
+libcoeffs_LTLIBRARIES = libcoeffs.la libcoeffs_g.la
 libcoeffsdir = $(libdir)/singular
 
@@ -5,13 +5,13 @@
 ## -fno-implicit-templates
 
-libcoeffs_a_CFLAGS   = -O3 -fomit-frame-pointer ${PIPE}
-libcoeffs_g_a_CFLAGS = ${PIPE}
+libcoeffs_la_CFLAGS   = -O3 -fomit-frame-pointer ${PIPE}
+libcoeffs_g_la_CFLAGS = ${PIPE}
 
-libcoeffs_a_CXXFLAGS   = -O3 -fomit-frame-pointer --no-rtti ${PIPE} ${CXXTEMPLFLAGS}
-libcoeffs_g_a_CXXFLAGS = -g -Wextra -Wall -pedantic -Wno-long-long ${PIPE} ${CXXTEMPLFLAGS}
+libcoeffs_la_CXXFLAGS   = -O3 -fomit-frame-pointer --no-rtti ${PIPE} ${CXXTEMPLFLAGS}
+libcoeffs_g_la_CXXFLAGS = -g -Wextra -Wall -pedantic -Wno-long-long ${PIPE} ${CXXTEMPLFLAGS}
 # -fdiagnostics-show-option 
 
-libcoeffs_a_CPPFLAGS   = -DNDEBUG -DOM_NDEBUG
-libcoeffs_g_a_CPPFLAGS =
+libcoeffs_la_CPPFLAGS   = -DNDEBUG -DOM_NDEBUG
+libcoeffs_g_la_CPPFLAGS =
 
 
@@ -28,6 +28,6 @@
 	modulop.cc mpr_complex.cc
 
-libcoeffs_a_SOURCES   = $(SOURCES)
-libcoeffs_g_a_SOURCES = $(SOURCES)
+libcoeffs_la_SOURCES   = $(SOURCES)
+libcoeffs_g_la_SOURCES = $(SOURCES)
 
 libcoeffs_includedir  =$(includedir)/singular/coeffs
Index: libpolys/misc/Makefile.am
===================================================================
--- libpolys/misc/Makefile.am	(revision 80c102e75622524947cd27fb319c231bc62c9233)
+++ libpolys/misc/Makefile.am	(revision 6d672b429af6b88ca00278d9a9794e55d4ed1c3a)
@@ -1,22 +1,22 @@
-libmisc_LIBRARIES = libmisc.a libmisc_g.a
+libmisc_LTLIBRARIES = libmisc.la libmisc_g.la
 libmiscdir = $(libdir)/singular
 
 CXXTEMPLFLAGS      =  --no-exceptions ## -fno-implicit-templates
 
-libmisc_a_CFLAGS   = -O3 -fomit-frame-pointer ${PIPE}
-libmisc_g_a_CFLAGS = ${PIPE}
+libmisc_la_CFLAGS   = -O3 -fomit-frame-pointer ${PIPE}
+libmisc_g_la_CFLAGS = ${PIPE}
 
-libmisc_a_CXXFLAGS   = -O3 -fomit-frame-pointer --no-rtti ${PIPE} ${CXXTEMPLFLAGS}
-libmisc_g_a_CXXFLAGS = -g -Wextra -Wall -pedantic -Wno-long-long ${PIPE} ${CXXTEMPLFLAGS}
+libmisc_la_CXXFLAGS   = -O3 -fomit-frame-pointer --no-rtti ${PIPE} ${CXXTEMPLFLAGS}
+libmisc_g_la_CXXFLAGS = -g -Wextra -Wall -pedantic -Wno-long-long ${PIPE} ${CXXTEMPLFLAGS}
 # -fdiagnostics-show-option 
 
-libmisc_a_CPPFLAGS   = -DNDEBUG -DOM_NDEBUG
-#libmisc_g_a_CPPFLAGS =
+libmisc_la_CPPFLAGS   = -DNDEBUG -DOM_NDEBUG
+#libmisc_g_la_CPPFLAGS =
 
 INCLUDES = -I${top_srcdir} -I${top_srcdir}/.. -I${top_builddir} -I${top_builddir}/..
 
 SOURCES  = intvec.cc int64vec.cc options.c
-libmisc_a_SOURCES   = $(SOURCES)
-libmisc_g_a_SOURCES = $(SOURCES)
+libmisc_la_SOURCES   = $(SOURCES)
+libmisc_g_la_SOURCES = $(SOURCES)
 
 libmisc_includedir = $(includedir)/singular/misc
Index: libpolys/polys/Makefile.am
===================================================================
--- libpolys/polys/Makefile.am	(revision 80c102e75622524947cd27fb319c231bc62c9233)
+++ libpolys/polys/Makefile.am	(revision 6d672b429af6b88ca00278d9a9794e55d4ed1c3a)
@@ -27,5 +27,5 @@
 endif
 
-libpolys_LIBRARIES = libpolys.a libpolys_g.a
+libpolys_LTLIBRARIES = libpolys.la libpolys_g.la
 libpolysdir = $(libdir)/singular
 
@@ -126,11 +126,11 @@
 nobase_libpolys_include_HEADERS = $(LIBPOLYSHEADERS)
 
-libpolys_a_SOURCES = ${SOURCES}
-libpolys_g_a_SOURCES = ${SOURCES}
+libpolys_la_SOURCES = ${SOURCES}
+libpolys_g_la_SOURCES = ${SOURCES}
 
-EXTRA_libpolys_a_SOURCES = templates/p_Procs_Static.cc templates/p_Procs_Dynamic.cc
+EXTRA_libpolys_la_SOURCES = templates/p_Procs_Static.cc templates/p_Procs_Dynamic.cc
 
-libpolys_g_a_CXXFLAGS = ${DEBUGCXXFLAGS}
-libpolys_a_CPPFLAGS = ${NODEBUGDEFS}
+libpolys_g_la_CXXFLAGS = ${DEBUGCXXFLAGS}
+libpolys_la_CPPFLAGS = ${NODEBUGDEFS}
 
 
Index: libpolys/reporter/Makefile.am
===================================================================
--- libpolys/reporter/Makefile.am	(revision 80c102e75622524947cd27fb319c231bc62c9233)
+++ libpolys/reporter/Makefile.am	(revision 6d672b429af6b88ca00278d9a9794e55d4ed1c3a)
@@ -1,22 +1,22 @@
-libreporter_LIBRARIES=libreporter.a libreporter_g.a
+libreporter_LTLIBRARIES=libreporter.la libreporter_g.la
 libreporterdir = $(libdir)/singular
 
 CXXTEMPLFLAGS =  --no-exceptions ## -fno-implicit-templates
 
-libreporter_a_CFLAGS   = -O3 -fomit-frame-pointer ${PIPE}
-libreporter_g_a_CFLAGS = ${PIPE}
+libreporter_la_CFLAGS   = -O3 -fomit-frame-pointer ${PIPE}
+libreporter_g_la_CFLAGS = ${PIPE}
 
-libreporter_a_CXXFLAGS   = -O3 -fomit-frame-pointer --no-rtti ${PIPE} ${CXXTEMPLFLAGS}
-libreporter_g_a_CXXFLAGS = -g -Wextra -Wall -pedantic -Wno-long-long ${PIPE} ${CXXTEMPLFLAGS}
+libreporter_la_CXXFLAGS   = -O3 -fomit-frame-pointer --no-rtti ${PIPE} ${CXXTEMPLFLAGS}
+libreporter_g_la_CXXFLAGS = -g -Wextra -Wall -pedantic -Wno-long-long ${PIPE} ${CXXTEMPLFLAGS}
 # -fdiagnostics-show-option 
 
-libreporter_a_CPPFLAGS   = -DNDEBUG -DOM_NDEBUG -DHAVE_CONFIG_H
-libreporter_g_a_CPPFLAGS = -DHAVE_CONFIG_H
+libreporter_la_CPPFLAGS   = -DNDEBUG -DOM_NDEBUG -DHAVE_CONFIG_H
+libreporter_g_la_CPPFLAGS = -DHAVE_CONFIG_H
 
 INCLUDES = -I${top_srcdir} -I${top_srcdir}/.. -I${top_builddir} -I${top_builddir}/..
 
 SOURCES  = dError.c reporter.cc
-libreporter_a_SOURCES   = $(SOURCES)
-libreporter_g_a_SOURCES = $(SOURCES)
+libreporter_la_SOURCES   = $(SOURCES)
+libreporter_g_la_SOURCES = $(SOURCES)
 
 libreporter_includedir  =$(includedir)/singular/reporter
Index: libpolys/resources/Makefile.am
===================================================================
--- libpolys/resources/Makefile.am	(revision 80c102e75622524947cd27fb319c231bc62c9233)
+++ libpolys/resources/Makefile.am	(revision 6d672b429af6b88ca00278d9a9794e55d4ed1c3a)
@@ -1,22 +1,22 @@
-libresources_LIBRARIES=libresources.a libresources_g.a
+libresources_LTLIBRARIES=libresources.la libresources_g.la
 libresourcesdir = $(libdir)/singular
 
 CXXTEMPLFLAGS      =  --no-exceptions ## -fno-implicit-templates
 
-libresources_a_CFLAGS   = -O3 -fomit-frame-pointer ${PIPE}
-libresources_g_a_CFLAGS = ${PIPE}
+libresources_la_CFLAGS   = -O3 -fomit-frame-pointer ${PIPE}
+libresources_g_la_CFLAGS = ${PIPE}
 
-libresources_a_CXXFLAGS   = -O3 -fomit-frame-pointer --no-rtti ${PIPE} ${CXXTEMPLFLAGS}
-libresources_g_a_CXXFLAGS = -g -Wextra -Wall -pedantic -Wno-long-long ${PIPE} ${CXXTEMPLFLAGS}
+libresources_la_CXXFLAGS   = -O3 -fomit-frame-pointer --no-rtti ${PIPE} ${CXXTEMPLFLAGS}
+libresources_g_la_CXXFLAGS = -g -Wextra -Wall -pedantic -Wno-long-long ${PIPE} ${CXXTEMPLFLAGS}
 # -fdiagnostics-show-option 
 
-libresources_a_CPPFLAGS   = -DNDEBUG -DOM_NDEBUG
-#libresources_g_a_CPPFLAGS =
+libresources_la_CPPFLAGS   = -DNDEBUG -DOM_NDEBUG
+#libresources_g_la_CPPFLAGS =
 
 INCLUDES = -I${top_srcdir} -I${top_srcdir}/.. -I${top_builddir} -I${top_builddir}/..
 
 SOURCES = feFopen.cc feResource.cc
-libresources_a_SOURCES   = $(SOURCES)
-libresources_g_a_SOURCES = $(SOURCES)
+libresources_la_SOURCES   = $(SOURCES)
+libresources_g_la_SOURCES = $(SOURCES)
 
 libresources_includedir  =$(includedir)/singular/resources
Index: numeric/Makefile.am
===================================================================
--- numeric/Makefile.am	(revision 80c102e75622524947cd27fb319c231bc62c9233)
+++ numeric/Makefile.am	(revision 6d672b429af6b88ca00278d9a9794e55d4ed1c3a)
@@ -1,22 +1,22 @@
-libnumeric_LIBRARIES = libnumeric.a libnumeric_g.a
+libnumeric_LTLIBRARIES = libnumeric.la libnumeric_g.la
 libnumericdir = $(libdir)/singular
 
 CXXTEMPLFLAGS =  --no-exceptions ## -fno-implicit-templates
 
-libnumeric_a_CFLAGS   = -O3 -fomit-frame-pointer ${PIPE}
-libnumeric_g_a_CFLAGS = ${PIPE}
+libnumeric_la_CFLAGS   = -O3 -fomit-frame-pointer ${PIPE}
+libnumeric_g_la_CFLAGS = ${PIPE}
 
-libnumeric_a_CXXFLAGS   = -O3 -fomit-frame-pointer --no-rtti ${PIPE} ${CXXTEMPLFLAGS}
-libnumeric_g_a_CXXFLAGS = -g -Wextra -Wall -pedantic -Wno-long-long ${PIPE} ${CXXTEMPLFLAGS}
+libnumeric_la_CXXFLAGS   = -O3 -fomit-frame-pointer --no-rtti ${PIPE} ${CXXTEMPLFLAGS}
+libnumeric_g_la_CXXFLAGS = -g -Wextra -Wall -pedantic -Wno-long-long ${PIPE} ${CXXTEMPLFLAGS}
 # -fdiagnostics-show-option 
 
-libnumeric_a_CPPFLAGS   = -DNDEBUG -DOM_NDEBUG
-#libnumeric_g_a_CPPFLAGS =
+libnumeric_la_CPPFLAGS   = -DNDEBUG -DOM_NDEBUG
+#libnumeric_g_la_CPPFLAGS =
 
 INCLUDES = -I${top_srcdir} -I${top_builddir} -I${top_srcdir}/libpolys -I${top_builddir}/libpolys ${GMP_CFLAGS} ${FACTORY_CFLAGS} ${NTL_CFLAGS}
 
 SOURCES  = mpr_base.cc mpr_inout.cc mpr_numeric.cc
-libnumeric_a_SOURCES   = $(SOURCES)
-libnumeric_g_a_SOURCES = $(SOURCES)
+libnumeric_la_SOURCES   = $(SOURCES)
+libnumeric_g_la_SOURCES = $(SOURCES)
 
 libnumeric_includedir  =$(includedir)/singular/numeric/
Index: omalloc/Makefile.am
===================================================================
--- omalloc/Makefile.am	(revision 80c102e75622524947cd27fb319c231bc62c9233)
+++ omalloc/Makefile.am	(revision 6d672b429af6b88ca00278d9a9794e55d4ed1c3a)
@@ -2,5 +2,5 @@
 AM_LDFLAGS = -L${top_builddir}/omalloc -L${top_builddir}/../omalloc
 
-lib_LIBRARIES=libomalloc.a libomalloc_g.a
+lib_LTLIBRARIES=libomalloc.la libomalloc_g.la
 
 libomalloc_includedir=$(includedir)/omalloc
@@ -30,12 +30,12 @@
 INCLUDES=-I${top_srcdir}/.. -I${top_builddir}/..
 
-libomalloc_a_SOURCES=$(SOURCES) $(noinst_HEADERS)
-libomalloc_g_a_SOURCES=$(SOURCES) $(noinst_HEADERS)
+libomalloc_la_SOURCES=$(SOURCES) $(noinst_HEADERS)
+libomalloc_g_la_SOURCES=$(SOURCES) $(noinst_HEADERS)
 
-nodist_libomalloc_a_SOURCES = omConfig.h mylimits.h omalloc.h omTables.inc
-nodist_libomalloc_g_a_SOURCES = omConfig.h omalloc.h omTables.inc
+nodist_libomalloc_la_SOURCES = omConfig.h mylimits.h omalloc.h omTables.inc
+nodist_libomalloc_g_la_SOURCES = omConfig.h omalloc.h omTables.inc
 
-libomalloc_a_CPPFLAGS= -DHAVE_CONFIG_H -DOM_NDEBUG
-libomalloc_g_a_CPPFLAGS= -DHAVE_CONFIG_H
+libomalloc_la_CPPFLAGS= -DHAVE_CONFIG_H -DOM_NDEBUG
+libomalloc_g_la_CPPFLAGS= -DHAVE_CONFIG_H
 
 BUILT_SOURCES = omTables.inc omTables.h
